Retrieves all the user_planning_slot
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "73bb6f7b-2033-47a1-9041-dedfdfa3c14a",
"user_id": "03e5b101-596b-4aff-bfc7-3359c3e9d002",
"user_planning_slot_type_id": "032091db-459e-4643-a0da-9a056a42ac4a",
"date_from": "2026-11-21T17:59:44.7976137+00:00",
"date_to": "2026-11-21T17:59:44.7976137+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-11-21T17:59:44.7976137+00:00"
}